<template>
  <div class="columns is-centered">
    <div class="column is-6-tablet">
      <FormField
        ref="formFieldName"
        labelText="Name"
        placeholder="e.g. Patryk Sokołowski">
      </FormField>
      <FormField
        ref="formFieldEmail"
        labelText="Email"
        placeholder="e.g. patryksokolowski@siroccomobile.com">
      </FormField>
      <GroupedFormButtons
        :clearFormMethod="clearForm"
        :submitFormMethod="submitForm">
      </GroupedFormButtons>
    </div>
  </div>
</template>

<script>
import FormField from './FormField';
import FormButton from './FormButton';
import GroupedFormButtons from './GroupedFormButtons';

export default {
  name: 'ContactForm',
  components: { GroupedFormButtons, FormButton, FormField },
  methods: {
    clearForm() {
      this.$refs.formFieldName.$refs.inputField.value = '';
      this.$refs.formFieldEmail.$refs.inputField.value = '';
    },
    submitForm() {
      const nameFieldRef = this.$refs.formFieldName.$refs.inputField;
      const emailFieldRef = this.$refs.formFieldEmail.$refs.inputField;
      const successClass = 'has-background-success';
      if (!nameFieldRef.classList.contains(successClass)
        || !emailFieldRef.classList.contains(successClass)) {
        nameFieldRef.classList.add(successClass);
        emailFieldRef.classList.add(successClass);
        setTimeout(() => {
          nameFieldRef.classList.remove(successClass);
          emailFieldRef.classList.remove(successClass);
          this.$refs.formFieldName.$refs.inputField.value = '';
          this.$refs.formFieldEmail.$refs.inputField.value = '';
        }, 2000);
      }
    },
  },
};
</script>

<style scoped>

</style>
